xcmhextobin(1)

NAME
xcmhextobin - is a pipe converter

SYNOPSIS
xcmhextobin [-s] [-f PATTERN] [-d NUMBER] [-l MAX_LENGTH] [HEX_FILE]

| xcmhextobin

DESCRIPTION
The xcmhextobin tool converts a hexadecimal ecoding into binary data and back. It can be used as a filter to xcmedid.

EXAMPLES

Convert from Hex to Binary:
    echo 48656C6c6f20776f726C64210a | xcmhextobin

Convert xrandr outputs second edid:
    xrandr --props | xcmhextobin -sf 00ffffffffffff00 -l 128 -d 1 | xcmedid --openicc

Convert ArgyllCMS DB EDID value:
    cat ~/.config/color.jcnf | xcmhextobin -sf 00ffffffffffff00 -l 128 | xcmedid --openicc

Convert from Binary to Hex:
    cat EDID.bin | xcmhextobin -r

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2016, Kai-Uwe Behrmann
License: MIT <http://www.opensource.org/licenses/mit-license.php>

SEE ALSO
xcmedid(1) libXcm(3) XcmEdidParse(3)
http://www.oyranos.org

REPORTING BUGS
at: https://github.com/oyranos-cms/xcm/issues